package domain


type AlibabaWdkSkuChannelskuAddApiResults struct {
    /*
        错误编码     */
    ErrCode  *string `json:"err_code,omitempty" `

    /*
        错误信息     */
    ErrMsg  *string `json:"err_msg,omitempty" `

    /*
        返会结果集合     */
    Models  *[]AlibabaWdkSkuChannelskuAddApiResult `json:"models,omitempty" `

    /*
        成功失败     */
    Success  *bool `json:"success,omitempty" `

}

func (s *AlibabaWdkSkuChannelskuAddApiResults) SetErrCode(v string) *AlibabaWdkSkuChannelskuAddApiResults {
    s.ErrCode = &v
    return s
}
func (s *AlibabaWdkSkuChannelskuAddApiResults) SetErrMsg(v string) *AlibabaWdkSkuChannelskuAddApiResults {
    s.ErrMsg = &v
    return s
}
func (s *AlibabaWdkSkuChannelskuAddApiResults) SetModels(v []AlibabaWdkSkuChannelskuAddApiResult) *AlibabaWdkSkuChannelskuAddApiResults {
    s.Models = &v
    return s
}
func (s *AlibabaWdkSkuChannelskuAddApiResults) SetSuccess(v bool) *AlibabaWdkSkuChannelskuAddApiResults {
    s.Success = &v
    return s
}
